<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>CSS Exercise</title>
        <link rel="stylesheet" type="text/css" href="CSS/CSS.css">
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
    <h1 id="h1" class="italic">CSS Exercises</h1>
    <p id="p1">1. Create an HTML page with a header and at least 3 paragraphs. Make
three copies of this page and apply a different style sheet method to
each of them: external style sheet, internal style sheet, and inline style.
Use the following code:
h1 { color: red; font-family: Arial; font-size: large; }
p { color: gray; font-family: Verdana; font-size: medium; }
2. Use the page that you created in exercise 1 with the external style
sheet to complete the following exercises:
a. Use an ID selector to give a unique style to one of the paragraphs.
b. Create a second header and another two paragraphs. Use the same
class selector to apply the same format to these three elements.
c. Next, use a different class selector so the two paragraphs created
previously are in cursive writing.
d. Change the main header created in exercise 1 to cursive writing as
well, using the class selector used in the previous exercise.
e. Change the first line of the first paragraph to colour GREEN.
f. Change the first letter of the main title to font size 40.
g. Apply bold style to all the paragraphs as well as the headers. To do
so, use the grouping selection.</p>
    <p id="style2">
        Multiple Style Sheets
If some properties have been defined for the same selector (element) in different style sheets, the value from the last read style sheet will be used. 
    </p>
    <p>
        What style will be used when there is more than one style specified for an HTML element?

Generally speaking we can say that all the styles will "cascade" into a new "virtual" style sheet by the following rules, where number one has the highest priority:
    </p>
    <h2 class="red">Second Header</h2>
    <p class="red italic">Use the page that you created in exercise 1 with the external style
sheet to complete the following exercises:</p>
    <p class="red italic">Create an HTML page with a header and at least 3 paragraphs. Make
three copies of this page and apply a different style sheet method to
each of them: external style sheet, internal style sheet, and inline style. </p>
    </body>
</html>
